Connector
Date: 2016-06-24

javax.microedition.io

## Class Connector

- java.lang.Object
- - javax.microedition.io.Connector

-     public class Connector
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `READ`
    `static int` | `READ_WRITE`
    `static int` | `WRITE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Connection` | `open(String var0)`
    `static Connection` | `open(String var0, int var1)`
    `static Connection` | `open(String var0, int var1, boolean var2)`
    `static DataInputStream` | `openDataInputStream(String var0)`
    `static DataOutputStream` | `openDataOutputStream(String var0)`
    `static InputStream` | `openInputStream(String var0)`
    `static OutputStream` | `openOutputStream(String var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### READ

          public static final int READ

      See Also:
        Constant Field Values

    - #### READ_WRITE

          public static final int READ_WRITE

      See Also:
        Constant Field Values

    - #### WRITE

          public static final int WRITE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### open

          public static Connection open(String var0)
                                 throws IOException

      Throws:
        `IOException`

    - #### open

          public static Connection open(String var0,
                        int var1)
                                 throws IOException

      Throws:
        `IOException`

    - #### open

          public static Connection open(String var0,
                        int var1,
                        boolean var2)
                                 throws IOException

      Throws:
        `IOException`

    - #### openDataInputStream

          public static DataInputStream openDataInputStream(String var0)
                                                     throws IOException

      Throws:
        `IOException`

    - #### openDataOutputStream

          public static DataOutputStream openDataOutputStream(String var0)
                                                       throws IOException

      Throws:
        `IOException`

    - #### openInputStream

          public static InputStream openInputStream(String var0)
                                             throws IOException

      Throws:
        `IOException`

    - #### openOutputStream

          public static OutputStream openOutputStream(String var0)
                                               throws IOException

      Throws:
        `IOException`